aboutsummaryrefslogtreecommitdiff
path: root/etc/environments/default
diff options
context:
space:
mode:
authorBoris Kolpackov <boris@codesynthesis.com>2017-04-22 12:45:50 +0200
committerBoris Kolpackov <boris@codesynthesis.com>2017-04-22 12:45:50 +0200
commit3ea6e51b28a06ad4c8b70e9f4d206a56e4771027 (patch)
treefa51f54b2ed460b5544ac0153389d1380e991189 /etc/environments/default
parent1fc77270c6af777adb80e1df917da7dc36c75d14 (diff)
Rename directory/option environment to environments
To be consistent with machines/ and toolchains/
Diffstat (limited to 'etc/environments/default')
-rwxr-xr-xetc/environments/default26
1 files changed, 26 insertions, 0 deletions
diff --git a/etc/environments/default b/etc/environments/default
new file mode 100755
index 0000000..f4a19aa
--- /dev/null
+++ b/etc/environments/default
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# file : etc/environments/default
+# copyright : Copyright (c) 2014-2017 Code Synthesis Ltd
+# license : TBC; see accompanying LICENSE file
+
+# Environment setup script for C/C++ compilation.
+
+c=gcc
+cxx=g++
+
+# $1 - target
+# $2 - bbot executable
+# $3+ - bbot options
+
+set -e # Exit on errors.
+
+t="$1"
+shift
+
+if test -n "$t"; then
+ echo "unknown target: $t" 1>&2
+ exit 1
+fi
+
+exec "$@" cc config.c="$c" config.cxx="$cxx"